Update Ontology Component
curl --request PATCH \
--url https://api.example.com/ontology-memory/{component_key}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>",
"subject_key": "<string>",
"object_key": "<string>",
"annotations": {},
"edit_reason": "<string>",
"review_context": "<string>"
}
'import requests
url = "https://api.example.com/ontology-memory/{component_key}/"
payload = {
"name": "<string>",
"content": "<string>",
"subject_key": "<string>",
"object_key": "<string>",
"annotations": {},
"edit_reason": "<string>",
"review_context": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: '<string>',
subject_key: '<string>',
object_key: '<string>',
annotations: {},
edit_reason: '<string>',
review_context: '<string>'
})
};
fetch('https://api.example.com/ontology-memory/{component_key}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component": {
"key": "<string>",
"component_type": "entity",
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"subject_key": "<string>",
"object_key": "<string>",
"annotations": {},
"status": "active",
"dataset_mappings": [
{
"dataset_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"mapping_type": "contains",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_edit_reason": "<string>"
},
"impact_warning": {
"message": "<string>",
"affected_dataset_mappings": [
{
"dataset_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"mapping_type": "contains",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ontology-memory
Update Ontology Component
PATCH
/
ontology-memory
/
{component_key}
/
Update Ontology Component
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Available options:
entity, attribute, action, relationship, hierarchy Maximum string length:
255Minimum string length:
1Maximum string length:
255Maximum string length:
255Available options:
active, deprecated Maximum string length:
1000Optional reviewer-facing ticket context from the originating agent or workflow. This is used for governance notifications and is not stored on the ontology component itself.
Maximum string length:
1500